Skip to main content
PUT
Update Task (V1)

Headers

Authorization
string
required

Bearer [access_token]

Content-Type
string
required

application/json

Path Parameters

taskId
integer<int64>
required

ID of the task to update.

Required range: x >= 1

Body

application/json

Task payload.

content
string
required

Description of the task.

Example:

"Send an email to my lead"

leadId
integer<int64>
required

ID of the lead this task belongs to.

Example:

563172647619608

deadline
integer<int64>
required

Deadline of the task, in milliseconds since Unix epoch (UTC).

Example:

1508580010000

type
enum<string>
required

Type of the task.

Available options:
Other,
Call,
Email,
Text
Example:

"Call"

assignedRole
enum<string>
required

Role the task is assigned to.

Available options:
Agent,
Assistant
Example:

"Agent"

finishFlag
boolean
default:false

When true on update, the task is marked completed and other fields are ignored.

Example:

true

Response

Task updated successfully. No response body.